> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endstate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a transfer

> Returns the status of a transfer. Accepts either an API key or a chip-tap session token. Poll until status is `confirmed`.



## OpenAPI

````yaml /openapi.json get /v1/units/{unit_id}/transfers/{transfer_id}
openapi: 3.1.0
info:
  title: Endstate API
  version: v1
  description: Endstate developer API for chip verification and ownership workflows.
servers:
  - url: https://api2.endstate.io
    description: Production
security: []
paths:
  /v1/units/{unit_id}/transfers/{transfer_id}:
    get:
      tags:
        - transfers
      summary: Get a transfer
      description: >-
        Returns the status of a transfer. Accepts either an API key or a
        chip-tap session token. Poll until status is `confirmed`.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: unit_id
          in: path
        - schema:
            type: string
            format: uuid
          required: true
          name: transfer_id
          in: path
      responses:
        '200':
          description: The transfer.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transfer'
              example:
                id: 00000000-0000-4000-8000-000000000000
                unit_id: 22222222-2222-4222-8222-222222222222
                to: '0x1111111111111111111111111111111111111111'
                from: '0x2222222222222222222222222222222222222222'
                status: prepared
                created_at: '2026-06-15T12:00:00.000Z'
      security:
        - ApiKeyBearer: []
        - SessionTokenBearer: []
components:
  schemas:
    Transfer:
      type: object
      properties:
        id:
          type: string
          format: uuid
        unit_id:
          type: string
          format: uuid
        to:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
        from:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
        status:
          type: string
          enum:
            - prepared
            - confirmed
            - expired
            - failed
        transaction:
          type:
            - object
            - 'null'
          properties:
            to:
              type: string
              pattern: ^0x[a-fA-F0-9]{40}$
            data:
              type: string
          required:
            - to
            - data
          description: >-
            Payload the unit's current owner submits to complete the transfer.
            Returned when the transfer is created.
        created_at:
          type: string
      required:
        - id
        - unit_id
        - to
        - from
        - status
        - created_at
      example:
        id: 00000000-0000-4000-8000-000000000000
        unit_id: 22222222-2222-4222-8222-222222222222
        to: '0x1111111111111111111111111111111111111111'
        from: '0x2222222222222222222222222222222222222222'
        status: prepared
        transaction:
          to: '0x3333333333333333333333333333333333333333'
          data: '0xa9059cbb'
        created_at: '2026-06-15T12:00:00.000Z'
  securitySchemes:
    ApiKeyBearer:
      type: http
      scheme: bearer
      bearerFormat: end_sk
      description: >-
        Use `Authorization: Bearer end_sk_*` for partner API keys (e.g.
        `end_sk_AbCd_example_api_key`).
    SessionTokenBearer:
      type: http
      scheme: bearer
      bearerFormat: end_sess
      description: >-
        Use `Authorization: Bearer end_sess_*` for V2 browser session tokens
        (e.g. `end_sess_AbCd_example_token`).

````